package Evo::Want;
use Evo '-Export *';
export
  qw(LIST:WANT_LIST SCALAR:WANT_SCALAR VOID:WANT_VOID is_list:want_is_list is_scalar:want_is_scalar is_void:want_is_void);

use constant LIST   => 1;
use constant SCALAR => '';
use constant VOID   => undef;

sub is_list { defined $_[0] && $_[0] && $_[0] == 1; }
sub is_scalar { defined $_[0] && !$_[0] }
sub is_void { !defined $_[0] }

1;

__END__

=pod

=encoding UTF-8

=head1 NAME

Evo::Want

=head1 VERSION

version 0.0177

=head1 AUTHOR

alexbyk.com

=head1 COPYRIGHT AND LICENSE

This software is copyright (c) 2016 by alexbyk.

This is free software; you can redistribute it and/or modify it under
the same terms as the Perl 5 programming language system itself.

=cut
